@import 'base';
@import 'menu';
@import 'loading';
@import 'cards';
@import 'animation';
@import 'financing';
@import 'evt-archive';
@import 'evt-single';

//*******/ header /*******//
#header {
    // background-color: $color1;
    position: relative;
    .header_content {
        width: 100%;
        height: 100vh;
        background-color: transparent;
    }
    .header_bgImg {
        #header_slider {
            z-index: -10;
            > div {
                .img {
                    // background-image: url(../images/header.jpg);
                    background-position: center;
                    background-size: cover;
                    background-repeat: no-repeat;
                    width: 100%;
                    height: 100vh;
                }
                .img.header_intro1 {
                    background-image: url(../images/haram.jpg);
                }
                .img.header_intro2 {
                    background-image: url(../images/noet.jpg);
                }
                .img.header_intro3 {
                    background-image: url(../images/slider3.jpeg);
                }
            }
            .slick-arrow {
                right: 0;
            }
        }
        width: 100%;
        height: 100vh;
        z-index: -1;
        position: absolute;
        top: 0;
        left: 0;
        &::before {
            content: '';
            @include bgImgStyle ("../images/header2.png");
            position: absolute;
            right: 0;
            top: 0;
            width: 853px;
            height: 100vh;
            z-index: 0;
        }
        &::after {
            content: '';
            @include bgImgStyle ("../images/header3.png");
            position: absolute;
            left: 0;
            top: 0;
            width: 224px;
            height: 100vh;
            z-index: 0;
        }
    }
    .heading {
        // padding:160px 60px 50px;
        color: #fff;
        h1 {
            font-size: 4em;
            font-weight: 500;
        }
        // h6 {
        //     font-size: 1.2em;
        //     font-weight: 300;
        // }
        // .typing_effect {
        //     p > span {
        //         font-size: 1.8em;
        //         font-weight: 400;
        //         color: #fff;
        //     }
        //     p span.cursor {
        //         display: inline-block;
        //         background-color: #ccc;
        //         margin-left: 0.1rem;
        //         width: 2px;
        //         animation: blink 1s infinite;
        //     }
        //     p span.cursor.typing {
        //         animation: none;
        //     }
        //         @keyframes blink {
        //         0%  { background-color: #ccc; }
        //         49% { background-color: #ccc; }
        //         50% { background-color: transparent; }
        //         99% { background-color: transparent; }
        //         100%  { background-color: #ccc; }
        //     }
        // }
    }
    .about_text {
        max-width: 510px;
        margin-right: 20px;
        padding-top: 115px;
        .content {
            direction: rtl;
            padding: 0 3rem;
            .heading {
                position: relative;
                h2 , & h1 {
                    font-size: 3em;
                    font-weight: 500;
                }
                h6 {
                    // position: absolute;
                    top: 5rem;
                    font-size: 1.8rem;
                    font-weight: 500;
                }
            }
            .heading_exp {
                margin-top: 2rem;
                padding-left: 6rem;
                color: #dedede;
                direction: rtl;
                &:nth-of-type(2) {
                    animation-delay: 0.4s;
                }
                .list {
                    margin-top: 10px;
                    margin-bottom: 10px;
                    span {
                        color: inherit;
                        padding-left: 10px;
                    }
                }
            }
            &.evt {
                table {
                    tr {
                        td {
                            border: none;
                            text-align: right;
                            padding: 5px 0 5px 10px;
                        }
                    }
                }
            }
        }
    }
    .header_slider_navs {
        position: absolute;
        right: 85px;
        bottom: 60px;
        .slick-arrow {
            &::before {
                font-size: 3rem;
            }
            &.slick-next  {
                left: -50px;
            }
        }
    }
    // .cta {
    //     margin: 150px 100px 0 0;
    //     a {
    //         margin-left: 20px;
    //     }
    //     .cta_btn {
    //         background-color: $color3;
    //         color: #fff;
    //         border-color: $color3;
    //         @include transitionStyle;
    //         &:hover {
    //             background-color: $color3_darker;
    //         }
    //     }
    // }
    .social_media {
        position: absolute;
        left: 20px;
        top: 50%;
        transform: translateY(-50%);
        a {
            display: block;
            padding: 15px 0;
            @include transitionStyle;
            i {
                font-size: 2.5rem;
                color: #fff;
                @include transitionStyle;
            }
            &:hover {
                transform: translateX(10px);
                & .fa-youtube {
                    color: #c4302b ;
                }
                & .fa-twitter {
                    color: #00acee  ;
                }
                & .fa-whatsapp {
                    color: #4AC959 ;
                }
                & .fa-instagram {
                    color: #3f729b  ;
                }
            }
        }
    }
}
@media only screen and (max-width: $tablet_l ) {
    #header {
        .about_text {
            padding-top: 80px;
        }
        .header_slider_navs {
            bottom: auto;
        }
        .header_content {
            padding-top: 60px;
            margin-bottom: -60px;
        }
        .header_bgImg {
            // height : calc(100vh + 60px);
            &::after {
                // height : calc(100vh + 60px);
                display: none;
            }
            &::before {
                width: 100%;
                // height : calc(100vh + 60px);
            }
        }
        .social_media {
            display: none;
        }
    }
}
@media only screen and (max-width: $tablet ) {
    #header {
        .heading {
            margin: auto;
            // padding: 10px;
            text-align: center;
            // position: relative;
            // top: calc(40% - 60px);
            // transform: translateY(-50%);
            h1 {
                font-size: 2.8em;
            }
            // h6 {
            //     // margin: auto;
            // }
        }
        .about_text {
            margin: auto;
            padding: 8rem 2rem;
            .content {
                height: 350px;
                overflow: auto;
                &:nth-of-type(1) {
                    p {
                        margin-top: 0;
                    }
                }
            }
        }
        .header_content {
            height: 100%;
            padding-top: 20px;
            padding-bottom: 0px;
            margin-bottom: 0;
        }
        .header_bgImg {
            height: 100%;
            &::before {
                background-image: none;
                background-color: rgba(43, 85, 102, 0.6);
                height: 100%;
            }
        }
        .header_slider_navs {
            position: absolute;
            right: 50%;
            transform: translateX(25px);
            bottom: 60px;
        }
        // .cta {
        //     position: relative;
        //     top: calc(40% - 60px);
        //     transform: translateY(-50%);
        //     margin: auto;
        //     text-align: center;
        //     padding: 10px;
        //     a {
        //         display: block;
        //         margin-top: 1rem;
        //         margin: auto;
        //         margin-top: 1rem;
        //         max-width: 250px
        //     }
        // }
    }
}
@media only screen and (max-width: $mobile ) {
    #header {
        // .cta {
        //     top: calc(33% - 60px);
        // }
        .heading {
            h1 {
                font-size: 2.4em;
            }
        }
    }
}


//*******/ projects /*******//
#projects {
    text-align: center;
    background-color: #f5f5f7;
    .p_row {
        display: grid;
        grid-auto-flow: column;
        gap: 5%;
        // .p_column {
        //     // border: solid;
        // }
    }
}

@media only screen and (max-width: $tablet_l ) {
    #projects {
        .p_row {
            display: block;
            .main_cards {
                margin-bottom: 3rem;
                max-width: 380px;
                margin-left: auto;
                margin-right: auto;
            }
        }
    }
}
@media only screen and (max-width: $mobile_l ) {
    
}


//*******/ services /*******//
#services {
    @include bgImgStyle ("../images/back-wave-min.png");
    background-position: 0px -450px;
    padding: 60px 0 100px;
    text-align: center;
    // padding-left: 50px;
    // padding-right: 50px;
    .circles_row {
        position: relative;
        padding-top: 50px;
        padding-bottom: 50px;
        .circle_col {
            // float: left;
            display: inline-block;
            width: 170px;
            padding: 0 40px;
            margin: auto;
            position: relative;
            cursor: pointer;
            .circle {
                width: 100%;
                position: relative;
                z-index: 2;
                &::before {
                    content: '';
                    position: absolute;
                    top: -10px;
                    left: 0;
                    right: 0;
                    width: 160px;
                    margin: auto;
                    height: 90px;
                    border-top-left-radius: 110px;
                    border-top-right-radius: 110px;
                    background-color: #fff;
                    box-shadow: -1px 6px 15px 0px rgba(136, 136, 136, 0.733);

                }
                > div {
                    border-radius: 50%;
                    position: relative;
                    background-color: #fff;
                    // padding: 30px;
                    box-shadow: 0px 4px 8px #888;
                    width: 140px;
                    height: 140px;
                    margin: auto;
                    box-sizing: border-box;
                    border: 10px solid $color2;
                    img {
                        position: absolute;
                        top:0;
                        bottom: 0;
                        right: 0;
                        left: 0;
                        margin: auto;
                        width: 70px;
                        height: 70px;
                    }
                }
            }
            &:nth-of-type(1) {
                transform: translateY(30px);
            }
            &:nth-of-type(2) {
                transform: translateY(10px);
            }
            &:nth-of-type(3) {
                transform: translateY(-10px);
            }
            &:nth-of-type(4) {
                transform: translateY(10px);
            }
            &:nth-of-type(5) {
                transform: translateY(30px);
            }
            // &:nth-of-type(6) {
            //     transform: translateY(10px);
            // }
            // &:nth-of-type(7) {
            //     transform: translateY(30px);
            // }

            .text {
                // padding-top: 50px;
                width: 70%;
                left: 0;
                right: 0;
                margin: auto;
                padding: 10px;
                margin-top: 30px;
                position: absolute;
                @include transitionStyle;
                border: 2px solid transparent;
                // bottom: 0;
                h3 {
                    font-size: 2rem;
                    font-weight: 600;
                    text-align: center;
                    color: $color2;
                    margin-bottom: 0;
                }
            }

            &.active {
                .text {
                    border: 2px solid $color2;
                    border-radius: 10px;
                }
            }
        }
    }
    .tab_detail {
        display: none;
        max-width: 990px;
        margin: auto;
        &.active {
            display: block;
        }
        > .row {
            margin-top: 150px;
            img {
                width: 100%;
                height: auto;
            }
            .text {
               margin-top: 5rem;
               padding-left:50px;
               p {
                   font-size: 1.8rem;
                   line-height: 1.7;
               }
               .btn {
                   float: right;
                    margin-top: 2rem;
                    border-color: $color3;
                    background-color: $color3;
                    color: #fff;
                    @include transitionStyle;
                    &:hover {
                        background-color: $color3_darker;
                    }
               }
            }
        }
         
    }

    .services_mobile {
        display: none;
    }
    #services_slider {
        .circles_row {
            visibility: visible;
            padding-bottom: 0;
            .circle_col {
                .text {
                    margin: 30px auto;
                    font-size:2rem;
                    width: 100%;
                    position: unset;
                    padding: 0;
                }
                &:nth-of-type(1) {
                    transform: none;
                }
            }
        }
        .circle_txt {
            direction: rtl;
        }
    }
}
@media only screen and (max-width: 1367px ) {
    #services {
        .circles_row {
            .circle_col {
                width: 170px;
                padding: 0 25px;
            }
        }
    }
}
@media only screen and (max-width: 1231px ) {
    #services {
        .circles_row {
            .circle_col {
                width: 120px;
                padding: 0 15px;
                .circle {
                    &::before {
                        width: 120px;
                        height: 60px;
                    }
                    > div {
                        width: 100px;
                        height: 100px;
                        border: 8px solid $color2;
                        img {
                            width: 50px;
                            height:50px;
                        }
                    }
                }
                .text {
                    h3 {
                        font-size: 1.5rem;
                    }
                }
            }
        }
        .tab_detail {
            > .row {
                .text {
                    p {
                        font-size: 1.6rem;
                    }
                }

            }
        }
    }
}
@media only screen and (max-width: 884px ) {
    #services {
        .circles_row {
            .circle_col {
                width: 120px;
                padding: 0 15px;
                .circle {
                    &::before {
                        width: 120px;
                        height: 60px;
                    }
                    > div {
                        width: 100px;
                        height: 100px;
                        border: 8px solid $color2;
                        img {
                            width: 50px;
                            height:50px;
                        }
                    }
                }
                .text {
                    h3 {
                        font-size: 1.5rem;
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: $tablet_l ) {
    #services {
        .tab_detail {
            width: 85%;
            margin: auto;
        }
    }
}
@media only screen and (max-width: $tablet ) {
    #services {
        background-position: 0 -250px;
        .services_desktop {
            display: none;
        } 
        .services_mobile {
            display: block;
        } 
        #services_slider {
            width: 85%;
            margin: auto;
            .circle_col {
                width: auto;
            }
        }
    }
}

//*******/ about us /*******//
#about_us {
    text-align: center;
    background-color: #eee;
    // @include bgImgStyle ("../images/about-us.jpg");
    width: 100%;
    // padding-top:100px;
    padding-bottom: 100px;

    .content {
        // max-width: 780px;
        margin: auto;
        margin-top: 40px;
        padding: 30px;
        // border: 1px solid #dedede;
        // border-radius: 10px;
        // background-image: url(../images/patern-min.png);
        // background-repeat: repeat;
        // p {
        //     font-size: 2.1rem;
        // }
    }
}
@media only screen and (max-width: $laptop ) {
    #about_us {
        .content {
            margin: auto;
            border: 0;
        }
    }
}
@media only screen and (max-width: $tablet ) {
    #about_us {
        padding-bottom: 80px;
    }
}

//*******/ cloud /*******//
#cloud {
    text-align: center;
    // background-color: #f5f5f7;
    @include bgImgStyle ("../images/back-wave-min.png");
    background-position: 0px -450px;
    padding: 120px 0;
    .cloud_wrapper {
        position: relative;
        width: 100%;
        p {
           display: inline-block;
            margin: 1rem auto;
            font-size: 2rem;
            font-weight: 500;
            color: $color1;
            position: relative;
            bottom: 0;
            @include transitionStyle;
            &:nth-of-type(1) {
                transform: translateX(50%);
            }
            &:nth-of-type(2) {
                transform: translateX(-40%);
            }
            &:nth-of-type(3) {
                transform: translateX(-60%);
            }
            &:nth-of-type(4) {
                transform: translateX(90%);
            }
            &:nth-of-type(5) {
                transform: translateX(-10%);
            }
            &:nth-of-type(6) {
                transform: translateX(50%);
            }
            span {
                color: $color3;
            }
            &:hover {
                bottom: 5px;
            }
        }
    }
}
@media only screen and (max-width: $tablet_l ) {
    #cloud {
        .cloud_wrapper {
            p {
                transform: none !important;
            }
        }
    }
}

//hexagonal width & height calculation
@mixin hexagonal ($width) {
    width : $width;
    height:  $width * 1.73  ;
}
//*******/ partnership /*******//
#partnership {
    
    text-align: center;
    .hexagonal_row {
        position: relative;
        // padding-top: 50px;
        // padding-bottom: 50px;
        padding-top: 40px;
        .hexagonal_col {
            display: inline-block;
            width: 186px;
            margin: auto;
            position: relative;

            .smaller_hexagonal {
                @include hexagonal(90px);
                margin: auto;
                position: absolute;
                right: 25px;
                top: 0;
                bottom: 0;
                margin: auto;
                background-color: $color2;
                &::before {
                    content: '';
                    @include hexagonal(90px);
                    background-color: inherit;
                    position: absolute;
                    left: 0;
                    right: 0;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    transform: rotate(60deg);
                }
                &::after {
                    content: '';
                    @include hexagonal(90px);
                    background-color: inherit;
                    position: absolute;
                    left: 0;
                    right: 0;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    transform: rotate(-60deg);
                }
            }
            .shadow_hexagonal {
                // box-shadow: -5px 0 8px 0px rgb(0, 0, 0, 0.5);
                @include hexagonal(100px);
                margin: auto;
                position: absolute;
                right: 43px;
                top: 0;
                bottom: 0;
                margin: auto;
                background-color: #ccc;
                box-shadow: 0px 2px 10px #ccc;
                &::before {
                    content: '';
                    @include hexagonal(100px);
                    background-color: inherit;
                    position: absolute;
                    left: 0;
                    right: 0;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    transform: rotate(60deg);
                    box-shadow: 1px 4px 10px #ccc;
                }
                &::after {
                    content: '';
                    @include hexagonal(100px);
                    background-color: inherit;
                    position: absolute;
                    left: 0;
                    right: 0;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    transform: rotate(-60deg);
                    box-shadow: -2px -3px 10px #ccc;
                }
            }

            .hexagonal {
                // width: 100px;
                // height: 173px;
                @include hexagonal(100px);
                margin: auto;
                position: relative;
                background-color: #fff;
                z-index: 5;
                &::before {
                    content: '';
                    // width: 100px;
                    // height: 173px;
                    @include hexagonal(100px);
                    background-color: inherit;
                    position: absolute;
                    left: 0;
                    right: 0;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    transform: rotate(60deg);
                }
                &::after {
                    content: '';
                    // width: 100px;
                    // height: 173px;
                    @include hexagonal(100px);
                    background-color: inherit;
                    position: absolute;
                    left: 0;
                    right: 0;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    transform: rotate(-60deg);
                }
                .p_content {
                    position: relative;
                    z-index: 1;
                    > .number {
                        font-size: 80px;
                        font-weight: 600;
                        color: $color3;
                        position: relative;
                        top: -53px;
                    }
                    > p {
                        text-align: center;
                        font-size: 18px;
                        font-weight: 600;
                        position: relative;
                        top: -55px;
                        span {
                            font-size: 32px;
                        }
                    }
                }
            }

            &:nth-of-type(1) {
                transform: scale(.8);
                margin: auto 30px;
            }
            &:nth-of-type(2) {
                transform: scale(1) translateX(20px);
                margin: auto 35px;
            }
            &:nth-of-type(3) {
                transform: scale(1.2);
                margin: auto 40px;
            }
            &:nth-of-type(4) {
                transform: scale(1) translateX(-20px);
                margin: auto 35px;
            }
            &:nth-of-type(5) {
                transform: scale(.8);
                margin: auto 30px;
            }
        }
    }
}
@media only screen and (max-width: 1231px ) {
    #partnership {
        .hexagonal_row {
            .hexagonal_col {
                width: 120px;
                .smaller_hexagonal {
                    @include hexagonal(50px);
                    position: absolute;
                    right: 16px;
                    &::before {
                        @include hexagonal(50px);
                    }
                    &::after {
                        @include hexagonal(50px);
                    }
                }
                .shadow_hexagonal {
                    @include hexagonal(60px);
                    right: 30px;
                    &::before {
                        @include hexagonal(60px);
                    }
                    &::after {
                        @include hexagonal(60px);
                    }
                }
                .hexagonal {
                    @include hexagonal(60px);
                    &::before {
                        @include hexagonal(60px);
                    }
                    &::after {
                        @include hexagonal(60px);
                    }
                    .p_content {
                        position: relative;
                        z-index: 1;
                        > .number {
                            font-size: 50px;
                            top: -30px;
                        }
                        > p {
                            font-size: 18px;
                            top: -42px;
                            span {
                                font-size: 20px;
                            }
                        }
                    }
                    &:nth-of-type(2) {
                        transform: scale(1) translateX(10px);
                    }
                    &:nth-of-type(3) {
                        transform: scale(1.2);
                    }
                    &:nth-of-type(4) {
                        transform: scale(1) translateX(-10px);
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: 884px ) {
    #partnership {
        .hexagonal_row {
            padding-top: 2rem;
            .hexagonal_col {
                // display: block;
                margin: 4rem 30px!important;
                transform: none !important;
            }
        }
    }
}
@media only screen and (max-width: $mobile_l ) {
    #partnership {
        .hexagonal_row {
            .hexagonal_col {
                margin: 4rem 20px!important;
            }
        }
    }
}

//*******/ financing /*******//
#financing {
    text-align: center;
    padding: 70px 0;
    // background-color: #fff;
    background-color: #f2f5f6;
    position: relative;
    > h2 {
        font-size: 1.9em;
        color: $color3;
        font-weight: 400;
        margin-bottom: 0;
        letter-spacing: -1px;
    }
    #financing_slider {
        margin: 60px 0;
        .financing_container {
            padding-bottom: 2rem;
        }
        .slick-dots {
            bottom: -70px;
        }
        // .slick-dots li button:before {
        //     // font-size: 10px;
        //     color: $color3;
        // }
    }
    .title {
        h3 {
            color: #5a5a5a;
            font-size: 1.8em;
            font-weight: 600;
            margin-bottom: 4rem;
        }
    }
    .content1 {
        a {
            background-color: $color3;
            border-color: $color3;
            display: inline-block;
            margin: auto 5px;
            color: #fff;
            @include transitionStyle;
            &:hover {
                background-color: $color3_darker;
                // color: #fff;
            }
        }
    }
    .content2 {
        margin-top: 7rem;
        .three.columns {
            perspective: 1000px;
            transform-style: preserve-3d;
            &:hover .aids_wrapper {
                transform: rotateY(180deg) ;
            }
            .aids_wrapper {
                position: relative;
                transition: transform 0.8s;
                transform-style: preserve-3d;
                width: 100%;
                height: 300px;
                margin-top: 5px;
                .aids, & .aids_back {
                    position: absolute;
                    width: 100%;
                    height: 100%;
                    -webkit-backface-visibility: hidden; /* Safari */
                    backface-visibility: hidden;
                    transform-style: preserve-3d;
                }
                .aids {
                    border-radius: 5px;
                    box-sizing: border-box;
                    background-color: #fff;
                    position: relative;
                    transform: unset;
                    perspective: 1000px;
                    img {
                        @include transitionStyle;
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                        border-radius: 5px;
                    }
                    a {
                        text-align: center;
                        color: #fff;
                        position: absolute;
                        top: 50%;
                        font-weight: 500;
                        left: 0;
                        right: 0;
                        margin: auto;
                        // @include transitionStyle;
                        transform : translateY(-50%) translateZ(50px) scale(.85);
                        display: block;
                    }
                    .bg_opacity {
                        position: absolute;
                        left: 0;
                        top: 0;
                        width: 100%;
                        height: 100%;
                        background-color: rgba(0, 0, 0, 0.6);
                        border-radius: 5px;
                        // transform-style: preserve-3d;
                        @include transitionStyle;
                    }
                }
                .aids_back {
                    background-color: #dedede;
                    color: white;
                    transform: rotateY(180deg);
                    top: 0;
                    border-radius: 5px;
                    perspective: 1000px;
                    .content {
                        color: #101010;
                        font-weight: 500;
                        position: relative;
                        top: calc(50%);
                        transform: translateY(-50%) translateZ(50px) scale(.94);
                        padding: 20px;
                        font-size: 1.2rem;
                        direction: rtl;
                        // .bg_opacity {
                        //     position: absolute;
                        //     left: 0;
                        //     top: 0;
                        //     width: 100%;
                        //     height: 100%;
                        //     background-color: rgba(0, 0, 0, 0.589);
                        // }
                        a {
                            color: $color1;
                            font-size: 1.5rem;
                            &:hover {
                                color: $color3;
                            }
                        }
                        p {
                            font-size: 1.3rem;
                        }
                    }
                }
            }
        }
    }
}

@media only screen and (max-width: $tablet ) {
    #financing {
        > h2 {
            font-size: 1.5em;
        }
        .title {
            h3 {
                font-size: 1.5em;
            }
        }
        #financing_slider {
            margin: 30px auto;
        }
        // .content1  {
        //     a {
        //         font-size: 1.2rem;
        //     }
        // }
    }
}
@media only screen and (max-width: $mobile_l ) {
    #financing {
        .financing_container {
            .title {
                width: 85%;
                margin: auto;
            }
        }
        .content1  {
            width: 85%;
            margin: auto;
            a {
                display: block;
                margin-top: 1rem;
            }
        }
    }
}

@media (min-width: 550px) {
    #financing {
        .three.columns {
            width: 49%;
        }
        .column, .columns {
            margin-left: 1%;
        }
        .columns:nth-child(odd) {
            margin-left: 0;
        }
    }
}
@media (min-width: 750px) {
    #financing {
        .three.columns {
            width: 24.222%;
        }
        .column, .columns {
            margin-left: 1%;
        }
        .columns:nth-child(odd) {
            margin-left: 1%;
        }
        .columns:first-child {
            margin-left: 0;
        }
    }
}

//*******/ knowledge /*******//
#knowledge {
    text-align: center;
    padding: 70px 0;
    position: relative;
    // background-color: #f2f5f6;
    > .main_title {
        position: relative;
    }
    .knowledge_container {
        padding-bottom: 2rem;
        .pic {
            float: left;
            width: 48%;
            img {
                width: 100%;
                object-fit: cover;
            }
        }
        .text {
            margin-left: 3%;
            margin-top: 5%;
            direction: rtl;
            display: inline-block;
            width: 48%;

            .links {
                a {
                    float: right;
                    margin-top: 1rem;
                    border-color: $color3;
                    background-color: $color3;
                    color: #fff;
                    -webkit-transition: all 0.3s ease-in-out;
                    transition: all 0.3s ease-in-out;
    
                    &:nth-of-type(2) {
                        margin-right: 1rem;
                    }
                }
            }
        }
    }
    .slick-dots {
        bottom: -70px;
    }
    .one-half.column {
        float: right;
    }
}

@media only screen and (max-width: $tablet ) {
    #knowledge {
        > h2 {
            font-size: 1.5em;
        }
        .knowledge_container {
            .pic {
                display: block;
                width: 100%;
            }
            .text {
                width: 100%;
                margin-top: 40px;
                margin-left: auto;
                .links {
                    margin-top: 50px;
                    a{
                        float: none;
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: $mobile_l ) {
    #knowledge {
            .knowledge_container {
                .text {
                    .links {
                        a{
                            display: block;
                            width: 100%;
                            padding-left: 0;
                            padding-right: 0;
                            &:nth-of-type(2) {
                                margin-right: 0;
                            }
                        }
                    }
                }
        }
    }
}

//*******/ events /*******//
#events {
    text-align: center;
    background-color:#f2f5f6;
    padding-top: 0;
    
    .evt_title {
        font-size: 1.9em;
        font-weight: 600;
        color: $color1;
        padding: 20px;
        span {
            color: $color3;
        }
    }
    .special_evt {
        line-height: 0;
        width: 100%;
        position: relative;
        @include transitionStyle;
        video {
            width: 100%;
        }
        .content_container {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.562);
            background-color: #09181d99;
            > .main_title {
                margin-top: 2rem;
                h2 {
                    font-size: 3em;
                    font-weight: 400 ;
                    &::after {
                        width: 0;
                    }
                }
            }
            > .title {
                margin-top: 2rem;
                h3 {
                    font-size: 2.5rem;
                    font-weight: 500;
                    color: #d8954c;
                }
            }
            > .slider_title {
                position: relative;
                top: calc( 50% - 230px );
                transform: translateY(-50%);
                color: #e1e1e1;
                font-size: 1.8rem;
                margin-right: -125px;
            }
            #evt_slider {
                line-height: 1.6;
                direction: ltr;
                color: #fff;
                position: relative;
                top: calc( 50% - 180px );
                transform: translateY(-50%);
                .evt_slider_txt {
                    a {
                        position: relative;
                        font-size: 2.5rem;
                        color: #fff;
                        padding: 4rem 1rem;
                        i {
                            margin-left: 1rem;
                            transform: translateY(3px);
                        }
                        &:hover {
                            color: $color3;
                            &::after {
                                width: 100%;

                            }
                        }
                    }
                }
            }
        }
    }
    .other_evts {
        > h3 {
            padding-top:4rem;
            margin-top: 6rem;
            // border-top: 2px solid #dedede;
            font-size: 1.7em;
            font-weight: 600;
            color: $color3;
            text-align: right;
        }
        // .three.columns {
        #other_evts_slider {
            .slick-list {
                padding-bottom: .5rem;
            }
            .slick-dots {
               bottom: -50px;
            }
            .slick-dots li button:before {
                color: $color3;
            }
            .card_wrapper {
                position: relative;
                width: 95%;
                height: 300px;
                margin: auto;
                margin-top: 20px;
                border-radius: 5px;
                @include transitionStyle;
                &:hover {
                    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.6);
                    transform: translateY(-5px);
                }
                .card_front {
                    img {
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                        border-radius: 5px;
                        position: absolute;
                    }
                    .content {
                        // background-color: rgba(0, 0, 0, 0.6);
                        background-color: rgba(0, 0, 0, 0.5);
                        position: absolute;
                        top: 0;
                        left: 0;
                        width: 100%;
                        height: 100%;
                        border-radius: 5px;
                        box-sizing: border-box;
                        border-radius: 5px;
                        // border: 5px solid #2b5566;

                        .title {
                            // transform: translateZ(60px);
                            color: #fff;
                            font-weight: 500;
                            position: relative;
                            top: calc( 50% - 20px );
                            transform: translateY(-50%) translateZ(60px);
                        }
                        .btn {
                            color: #fff;
                            font-weight: 500;
                            position: absolute;
                            left: 0;
                            right: 0;
                            margin: auto;
                            bottom: -50px;
                            display: inline-block;
                            background-color: $color3;
                            width: 50%;
                            @include transitionStyle;
                            &:hover {
                                background-color: $color3_darker;
                            }
                        }
                        &:hover .btn {
                            bottom: 30px;
                        }
                    }
                }
                
            }
        }
    }
}

@media only screen and (max-width: 768px ) {
    #events {
        .special_evt {
            .content_container {
                width: 100%;
                > .main_title {
                    h2 {
                        margin: 2rem 0;
                        font-size: 2em;
                    }
                }
                .title {
                    margin-top: 2rem;
                    h3 {
                        font-size: 2rem;
                    }
                }
                .slider_title {
                    top: calc( 50% - 130px);
                }
                #evt_slider {
                    top: calc( 50% - 90px);
                    transform: translateY(-50%);
                }
            }
        }
        .other_evts {
            > h3 {
                font-size: 1.5em;
            }
        }
    }
}
@media only screen and (max-width: $mobile_l ) {
    #events {
        .special_evt {
            .content_container {
                width: 100%;
                position: unset;
                background-color: $color1;
                > .main_title {
                    margin: 0;
                    h2 {
                        margin: 0;
                        font-size: 2em;
                    }
                }
                .title {
                    margin-top: 5rem;
                    h3 {
                        font-size: 2rem;
                    }
                }
                .slider_title {
                    position: unset;
                    transform: unset;
                    margin: auto;
                }
                #evt_slider {
                    transform: unset;
                    padding: 5rem 0;
                }
            }
        }
    }
}

@media (min-width: 550px) {
    #events {
        .three.columns {
            width: 49%;
        }
        .column, .columns {
            margin-left: 1%;
        }
        .columns:nth-child(odd) {
            margin-left: 0;
        }
    }
}

@media (min-width: 750px) {
    #events {
        .three.columns {
            width: 24.222%;
        }
        .column, .columns {
            margin-left: 1%;
        }
        .columns:nth-child(odd) {
            margin-left: 1%;
        }
        .columns:first-child {
            margin-left: 0;
        }
    }
}


//*******/ news /*******//
#news {
    &.in_view {
        @include inView ('fadeIn');

    }
    text-align: center;
    padding-top: 50px;
    .news_wrapper {
        width: 100%;
        .pic {
            width: 100%;
            height: 300px;
            img {
                width: 100%;
                height: 100%;
                object-fit : cover;
            }
        }
        .text {
            padding: 20px;
            box-sizing: border-box;
            height: 300px;
            overflow-y: hidden;
            position: relative;
            overflow: hidden;
            &::before {
                content: '';
                width: 40px;
                height: 40px;
                background-color: #fff;
                opacity: .5;
                position: absolute;
                top: -25px;
                left: 10%;
                transform: rotate(45deg);
            }
            h6 {
                font-size: 3rem;
                font-weight: 600;
                text-align: right;
                position: relative;
                &::after {
                    content: '';
                    position: absolute;
                    width: 80%;
                    bottom: -2px;
                    right: 0;
                    height: 1px;
                    background-color: #e1e1e1;
                }
            }
            a {
                position: absolute;
                left: 20px;
                bottom: 20px;
                color: #fff;
                padding: 0px 20px;
                border: 1px solid #fff;
                border-radius: 20px;
                cursor: pointer;
                &:hover {
                    color: #dedede;
                    border-color: #dedede;
                }
            }
        }
    }
    .three.columns {
        &:nth-of-type(odd) {
            background-color: $color1;
            .news_wrapper {
                .text {
                    h6 {
                        color: #fff;
                    }
                    p {
                        color: #e1e1e1;
                    }
                    position: relative;
                    overflow: hidden;
                    &::before {
                        top: auto;
                        bottom: -25px;
                        left: auto;
                        right: 10%;
                    }
                }
            }
        }
        &:nth-of-type(even) {
            background-color: $color3;
            .news_wrapper {
                .text {
                    h6 {
                        color: #333;
                    }
                    p {
                        color: #3f3f3f;
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: $mobile_l ) {
    #news {
        .news_wrapper {
            .text {
                h6 {
                    text-align: center;
                    &:after {
                        width: 100%;
                        right: 0;
                        left: 0;
                        margin: auto;
                    }
                }
            }
        }
        .row{ 
            .three.columns {
                &:nth-of-type(even) {
                    .news_wrapper {
                        .pic {
                            transform: translateY(300px);
                        }
                        .text {
                            transform: translateY(-300px);
                        }
                    }
                }
            }
            
        }
    }
}

@media (min-width: 550px) {
    #news {
        .three.columns {
            width: 50%;
        }
        .column:first-child, .columns:first-child {
            margin-left: 0;
        }
        .columns {
            margin-left: 0;
        }
    }
}
@media (min-width: $tablet_l) {
    #news {
        .three.columns {
            width: 25%;
        }
        .column:first-child, .columns:first-child {
            margin-left: 0;
        }
        .columns {
            margin-left: 0;
        }
    }
}

#partners {
    position: relative;
    text-align: center;
    
    .logos {
        position: relative;
        left: 0;
        right: 0;
        margin: auto;
        > div {
            display: inline-block;
            width: 90px;
            margin: 20px 42px;
            img {
                width: 100%;
                filter: grayscale(100%);
                @include transitionStyle;
            }
            &:hover img {
                filter: grayscale(0);
            }
        }
    }
}

#footer {
    text-align: center;
    background-color: $color1;
    padding: 0 100px;
    color: #fff;
    position: relative;
    .footer_shape {
        position: absolute;
        top: -100px;
        left: 0;
        right: 0;
        margin: auto;
        width: 200px;
        height: 100px;
        border-top-left-radius: 100px ;
        border-top-right-radius: 100px ;
        background-color: $color1;
        &::before {
            content: '';
            position: absolute;
            width: 80px;
            height: 80px;
            border-radius: 50%;
            box-shadow: 15px 15px 0 0 red;
        }
    }
    .logo_footer {
        position: absolute;
        top: 50px;
        left: 0;
        right: 0;
        margin: auto;
        width: 100px;
        margin: auto;
        img {
            width: 100%;
            height: 100%;
        }
    }
    .footer_row {
        position: relative;
        > div {
            width: 30%;
            padding: 50px 20px 1rem;
            text-align: justify;
           
            &.left_col {
                float: left;
                ul {
                    li {
                        padding-right: 2rem;
                        &:nth-of-type(1) {
                            margin-top: 1rem;
                        }
                    }
                }
            }
            &.right_col {
                float: right;
                p {
                    color: #fff;
                    margin-bottom: 0;
                    margin-top: 1rem;
                    padding-right: 2rem;
                }
            }
        }
    }
    .copy_right {
        position: relative;
        padding-bottom: 2rem;
    }
}

@media only screen and (max-width: $tablet_l ) {
   #footer {
       .footer_row {
            > div {
               width: 100%;
               float: unset;
               display: block;
               padding: 2rem 0;
               text-align: center;
            }
            span , p {
                font-size: 1.4rem;
            }
            div.left_col {
                ul {
                    padding-right: 0;
                    margin: auto;
                    li {
                        padding-right: 0;
                    }
                }
            }
            div.right_col {
                p {
                    padding-right: 0;
                }
            }
        }
        .logo_footer {
            position: unset;
        }
   }
}
@media only screen and (max-width: $mobile_l ) {
   #footer {
       padding: 0;
   }
}

